6 Replies Latest reply on Nov 6, 2014 12:06 PM by resdesign

    Loading jquery ui - ReferenceError: jQuery is not defined

    ingofkc Level 1

      I am following a simple tutorial to add dragging functionality to a composition.

       

      I added this code to the creationComplete-event of the stage:

       

      var onComplete = function onComplete() {

          alert('loaded"); // -> fired

          

           sym.$('blueDD').draggable();

           // throwing these errors in Firefox:

           //

           // ReferenceError: jQuery is not defined

           // TypeError: sym.$(...).draggable is not a function

      }

       

      yepnope({nope:['js/jquery-ui.min.js'], complete : onComplete});

       

       

      Jquery UI is the newest one (1.11.2)

       

      Questions:

      * What am i doing wrong? Maybe its because JQuery UI is an AMD - Module?

      * How do i know which version of jquery edge is currently using?

      * Is it possible to "update" the jquery version that edge is using by my own?

       

      Thanks, Ingo